Auto-update to tigervnc-server 1.11 seems to break all vncserver functionality

Latest fc32 repo updates vnc server from 1.10 to 1.11. From extensive google searching, the new version seems to make obsolete the /usr/bin/vncserver wrapper (I confirmed on my system that the file is now deleted), and requires use of something called Xsession(?). However, I can’t seem to find any documentation on how to migrate existing systemd services (‘vncserver@:x’ using the old vncserver wrapper) to the new functionality. Does anyone have decent documentation on how to make things work again with 1.11? I manually re-installed 1.10 as a workaround, but I’d really like to do it ‘the right way’.

1 Like

file a bug + dnf downgrade + dnf versionlock / work around

Have a look to this mailing list thread. Does the issue is the same?

It looks like what happened is that the upstream project removed that wrapper script. This kind of update probably shouldn’t have been submitted for Fedora 32

There is an open bug: https://bugzilla.redhat.com/show_bug.cgi?id=1879739

1 Like